Bug 1673215 - Unable to sync 3 SLES Update repositories
Summary: Unable to sync 3 SLES Update repositories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.4.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-06 23:17 UTC by Jason Dickerson
Modified: 2019-10-07 17:18 UTC (History)
9 users (show)

Fixed In Version: pulp-rpm-2.18.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684697 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)
11 sp3 repodata and file listing (16.03 MB, application/gzip)
2019-02-06 23:17 UTC, Jason Dickerson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:16 UTC
Pulp Redmine 4397 Normal CLOSED - CURRENTRELEASE Unable to sync 3 SLES Update repositories 2019-04-02 21:01:26 UTC

Description Jason Dickerson 2019-02-06 23:17:52 UTC
Created attachment 1527710 [details]
11 sp3 repodata and file listing

Description of problem:

We are unable to sync 3 SLES Update repositories:

SLES11-SP4-Updates
SLES11-SP3-Updates
SLES12-SP3-Updates

into Satellite.  We receive the following error:  

RPM1015 Malformed repository: metadata is missing for some packages in filelists.xml and in other.xml


Version-Release number of selected component (if applicable):

pulp-server-2.16.4.1-1.el7sat.noarch


How reproducible:

The behaviour is consistent


Steps to Reproduce:
1.  Add one of the SLES repositories mentioned to a custom product
2.  Attempt to Sync the repository
3.

Actual results:

RPM1015 Malformed repository: metadata is missing for some packages in filelists.xml and in other.xml


Expected results:

The repository syncs into Satellite


Additional info:

The repository source is a SLES SMT server.  The SMT Server allows for repository metadata to contain rpm's which are not found in the repository file system.  Historically missing source rpm's are ignored.  It could be that pulp will not ignore missing actual rpm's.  

This upstream issue may be related:  https://pulp.plan.io/issues/2821

We identified the issue due to security vulnerabilities not being addressed via patching of servers, which  use these repositories via Satellite.

I am uploading 3 tgz files, one per repository.  Each file contains the contents of the repodata directory and a complete file listing of each repository.

Comment 3 Jason Dickerson 2019-02-06 23:26:25 UTC
I was unable to upload the files for the other 2 repositories, due to file size limitations.  However, they are in the linked Red Hat Customer Portal Support Case.

Comment 4 pulp-infra@redhat.com 2019-02-07 19:02:01 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2019-02-07 19:02:02 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2019-02-08 14:31:45 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2019-02-08 15:02:00 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 8 David Davis 2019-02-08 17:00:18 UTC
Upstream PR: https://github.com/pulp/pulp_rpm/pull/1270

Comment 9 pulp-infra@redhat.com 2019-02-08 17:01:40 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 11 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 13 pulp-infra@redhat.com 2019-03-20 09:31:43 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 14 jcallaha 2019-03-26 20:16:10 UTC
Verified in satellite 6.5.0 Snap 21

Created two repositories, based on the same upstream repo: https://repos.fedorapeople.org/pulp/pulp/fixtures/srpm-duplicate/

The first was not set to skip anything
The second was set to skip src rpms

Both repos synced successfully
The first brought in the two expected source rpms
The second ignored all source rpms

Comment 15 pulp-infra@redhat.com 2019-04-02 21:01:27 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 18 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.